﻿<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:stw="http://www.stormware.cz/" xmlns:ms="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="stw">
   <xsl:output method="xml" encoding="Windows-1250" omit-xml-declaration="no" />

   <xsl:decimal-format decimal-separator="," grouping-separator=" " />

   <xsl:param name="DateUzav" select="stw:PhKursUzavLogs/stw:PhKursUzavLog/stw:PhKursUzavLogHeader/stw:DateKursUzav" />

   <xsl:template match="/">
      <html>
         <head>
            <META http-equiv="Content-Type" content="text/html; charset=Windows-1250" />

            <META http-equiv="Content-Language" content="cs" />

<STYLE>
                    BODY        { font-family: "Verdana"; margin: 20px; font-size: 8pt; margin-left: 0; margin-right: 0; }
                    TABLE.headTb { width: 100%; font-size: 7pt; }
                    TD      { padding-top: 0px; padding-bottom: 1px; font-family: "Verdana"; font-size: 7pt; }
                                        
                    TABLE.result    { width: 100%; font-size: 7pt;}
                    TABLE.result TD	{ padding-top: 0px; padding-bottom: 1px; font-family: "Verdana"; font-size: 7pt; text-align: center;}

					TR.zaznam     { height: 20px; }
                    TD.headNUmber { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width: 12%; }
                    TD.headAg     { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width: 13%; }
                    TD.headCurrType   { font-family: "Verdana"; font-size: 8pt; width: 10%; }
                    TD.headCurrRsl    { font-family: "Verdana"; font-size: 8pt; width: 21%; }
                    TD.headCUrr   { font-family: "Verdana"; font-size: 8pt; width: 10%; }
                    TD.headExchange   { font-family: "Verdana"; font-size: 8pt; width: 12%; }
                    TD.headDiff   { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width: 15%; }
                    TD.headDeb    { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width: 17%; }
                    TD.head_MD_D  { font-family: "Verdana"; font-size: 8pt; width = 8%; }
                    
                    TD.dataZaznamA { font-family: "Verdana"; font-size: 8pt;}
                    TD.dataZaznamB { font-family: "Verdana"; font-size: 8pt; font-weight: bold;}                    

                    TD.titleHead { font-family: "Verdana"; font-size: 8pt; width: 140px; }
                    TD.dataHead { font-family: "Verdana"; font-size: 8pt; }
                    .titleMsg	  { font-family: "Verdana"; font-size: 8pt; font-weight: bold; }
                
</STYLE>
         </head>

         <title>Výsledek uzávěrky kursových rozdílů</title>

         <BODY>
            <xsl:variable name="Cnt" select="count(stw:PhKursUzavLogs/stw:PhKursUzavLog)" />

            <xsl:for-each select="stw:PhKursUzavLogs/stw:PhKursUzavLog">
               <xsl:variable name="DateUzav" select="./stw:PhKursUzavLogHeader/stw:DateKursUzav" />

               <p>
                  <xsl:call-template name="HeadLog">
                     <xsl:with-param name="node" select="./stw:PhKursUzavLogHeader" />
                  </xsl:call-template>
               </p>

               <br />

               <p>
                  <xsl:call-template name="BVs">
                     <xsl:with-param name="node" select="./stw:PhKursUzavLogBVs" />
                  </xsl:call-template>
               </p>


               <p>
                  <xsl:call-template name="HOs">
                     <xsl:with-param name="node" select="./stw:PhKursUzavLogHOs" />
                  </xsl:call-template>
               </p>
            </xsl:for-each>
         </BODY>
      </html>
   </xsl:template>


  <!-- 2. radek hlavicky tabulky -->
   <xsl:template name="HeadTitle2">
      <tr>
         <td class="headCurr">v cizí měně</td>

         <td class="headCurr">v Kč</td>

         <td class="head_MD_D">MD</td>

         <td class="head_MD_D">D</td>
      </tr>
   </xsl:template>




  <!-- hlavicka tabulky -->
   <xsl:template name="HeadLog">
      <xsl:param name="node" />

      <p class="titleMsg">Zaúčtované kursové rozdíly k datu 
            <xsl:value-of select="$DateUzav" />
      </p>
      <table class="headTb">
<!--         <tr>
            <td class="titleMsg" colspan="2">Zaúčtované kursové rozdíly k datu 
            <xsl:value-of select="$DateUzav" />
            </td>
         </tr>
-->         


         <tr>
            <td class="titleHead">
               <span title="N�zev ��etn� jednotky, kde je prov�d�na kontrola">Účetní jednotka:</span>
            </td>

            <td class="dataHead">
               <xsl:value-of select="$node/stw:CompanyName" />               
            </td>            
         </tr>
         
         <tr>
            <td class="titleHead">
            </td>

            <td class="dataHead">
               <xsl:value-of select="$node/stw:Street" />               
            </td>            
         </tr>
         
         <tr>
            <td class="titleHead">
            </td>

            <td class="dataHead">
               <xsl:value-of select="$node/stw:Town" />               
            </td>            
         </tr>
         

         <tr>
            <td class="titleHead">
               <span title="I� kontrolovan� ��etn� jednotky">DIČ:</span>
            </td>

            <td class="dataHead">
               <xsl:value-of select="$node/stw:DIC" />
            </td>
         </tr>

         <tr>
            <td class="titleHead">
               <span title="Datum a �as spu�t�n� kontroly doklad�">Datum a čas:</span>
            </td>

            <td class="dataHead">
               <xsl:value-of select="$node/stw:Time" />
            </td>
         </tr>
      </table>

      <br />
   </xsl:template>




  <!-- devizové účty -->
   <xsl:template name="BVs">
      <xsl:param name="node" />

      <xsl:variable name="Cnt" select="count($node/stw:PhKursUzavLogBV)" />

      <xsl:if test="$Cnt &gt; 0">
         <p class="titleMsg">Devizový účet</p>

         <table class="result" border="1">
            <tr>
               <td class="headNumber" rowspan="2">Číslo dokladu</td>

               <td class="headAg" rowspan="2">Bankovní účet</td>

               <td class="headCurrType" rowspan="2">Cizí měna</td>

               <td class="headCurrRsl" colspan="2">Stav bankovního účtu k 
               <xsl:value-of select="$DateUzav" />
               </td>

               <td class="headExchange" rowspan="2">Kurs ČNB k 
               <xsl:value-of select="$DateUzav" />
               </td>

               <td class="headDiff" rowspan="2">Kursový rozdíl (v Kč)</td>

               <td class="headDeb" colspan="2">Zaúčtování</td>
            </tr>

            <xsl:call-template name="HeadTitle2">
            </xsl:call-template>

            <xsl:for-each select="$node/stw:PhKursUzavLogBV">
               <tr class="zaznam">
                  <td class="dataZaznamB">
                     <xsl:value-of select="stw:CisloDokladu" />
                  </td>

                  <td class="dataZaznamB" width="10%">
                     <xsl:value-of select="stw:Ucet" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:CiziMena" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:StavCM" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:StavKc" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:Kurs" />
                  </td>

                  <td class="dataZaznamB">
                     <xsl:value-of select="stw:Rozdil" />
                  </td>

                  <td class="dataZaznamB">
                     <xsl:value-of select="stw:Zauct" />
                  </td>

                  <td class="dataZaznamB">
                     <xsl:value-of select="stw:ZauctD" />
                  </td>
               </tr>
            </xsl:for-each>
         </table>
      </xsl:if>
   </xsl:template>






   <!-- valutové pokladny -->
   <xsl:template name="HOs">
      <xsl:param name="node" />

      <xsl:variable name="Cnt" select="count($node/stw:PhKursUzavLogHO)" />

      <xsl:if test="$Cnt &gt; 0">
         <p class="titleMsg">Valutová pokladna</p>

         <table class="result" border="1">
            <tr>
               <td class="headNumber" rowspan="2">Číslo dokladu</td>

               <td class="headAg" rowspan="2">Pokladna</td>

               <td class="headCurrType" rowspan="2">Cizí měna</td>

               <td class="headCurrRsl" colspan="2">Stav pokladny k 
               <xsl:value-of select="$DateUzav" />
               </td>

               <td class="headExchange" rowspan="2">Kurs ČNB k 
               <xsl:value-of select="$DateUzav" />
               </td>

               <td class="headDiff" rowspan="2">Kursový rozdíl (v Kč)</td>

               <td class="headDeb" colspan="2">Zaúčtování</td>
            </tr>

            <xsl:call-template name="HeadTitle2">
            </xsl:call-template>

            <xsl:for-each select="$node/stw:PhKursUzavLogHO">
               <tr class="zaznam">
                  <td class="dataZaznamB">
                     <xsl:value-of select="stw:CisloDokladu" />
                  </td>

                  <td class="dataZaznamB">
                     <xsl:value-of select="stw:Ucet" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:CiziMena" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:StavCM" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:StavKc" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:Kurs" />
                  </td>

                  <td class="dataZaznamB">
                     <xsl:value-of select="stw:Rozdil" />
                  </td>

                  <td class="dataZaznamB">
                     <xsl:value-of select="stw:Zauct" />
                  </td>

                  <td class="dataZaznamB">
                     <xsl:value-of select="stw:ZauctD" />
                  </td>
               </tr>
            </xsl:for-each>
         </table>
      </xsl:if>
   </xsl:template>
</xsl:stylesheet>

