﻿<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:stw="http://www.stormware.cz/" xmlns:ms="urn:schemas-microsoft-com:xslt" exclude-result-prefixes="stw">
   <xsl:output method="xml" encoding="Windows-1250" omit-xml-declaration="no" />

   <xsl:decimal-format decimal-separator="," grouping-separator=" " />

   <xsl:param name="DateFinalAcc" select="stw:PhFinalAccLogs/stw:PhFinalAccLog/stw:PhFinalAccLogHeader/stw:DateFinalAcc" />

   <xsl:template match="/">
      <html>
         <head>
            <META http-equiv="Content-Type" content="text/html; charset=Windows-1250" />

            <META http-equiv="Content-Language" content="cs" />

<STYLE>
                    BODY        { font-family: "Verdana"; margin: 20px; font-size: 8pt; margin-left: 0; margin-right: 0; }
                    TABLE.headTb { width: 100%; font-size: 7pt; }
                    TD      { padding-top: 0px; padding-bottom: 1px; font-family: "Verdana"; font-size: 7pt; }
                                        
                    TABLE.result    { width: 100%; font-size: 7pt;}
                    TABLE.result TD	{ padding-top: 0px; padding-bottom: 1px; font-family: "Verdana"; font-size: 7pt; text-align: center;}

					TR.zaznam     { height: 20px; }
                    TD.headNUmber { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width: 12%; }
                    TD.headCurrType   { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width: 10%; }
                    TD.headCUrr   { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width: 10%; }
                    TD.headExchange   { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width: 12%; }
                    TD.headDiff   { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width: 15%; }
                    TD.headDeb    { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width: 17%; }                    
                    TD.head_MD_D  { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width = 8%; }
                    TD.headSourceType  { font-family: "Verdana"; font-size: 8pt; font-weight: bold; width = 8%; }
                    
                    TD.dataZaznamA { font-family: "Verdana"; font-size: 8pt;}
                    TD.dataZaznamB { font-family: "Verdana"; font-size: 8pt; font-weight: bold;}                    

                    TD.titleHead { font-family: "Verdana"; font-size: 8pt; width: 140px; }
                    TD.dataHead { font-family: "Verdana"; font-size: 8pt; }
                    .titleMsg	  { font-family: "Verdana"; font-size: 8pt; font-weight: bold; }
                    .expl		  { font-family: "Verdana"; font-size: 8pt; font-weight: bold; }
                
</STYLE>
         </head>

         <title>Výsledek uzávěrky kursových rozdílů</title>

         <BODY>
            <xsl:variable name="Cnt" select="count(stw:PhFinalAccLogs/stw:PhFinalAccLog)" />

            <xsl:for-each select="stw:PhFinalAccLogs/stw:PhFinalAccLog">
               <xsl:variable name="DateFinalAcc" select="./stw:PhFinalAccLogHeader/stw:DateClosing" />

               <p>
                  <xsl:call-template name="HeadLog">
                     <xsl:with-param name="node" select="./stw:PhFinalAccLogHeader" />
                  </xsl:call-template>
               </p>

               <br />

               <p>
                  <xsl:call-template name="Receivables">
                     <xsl:with-param name="node" select="./stw:PhFinalAccLogReceivables" />
                     <xsl:with-param name="nodeRecord" select="./stw:PhFinalAccLogReceivables/stw:PhFinalAccLogReceivable" />                     
                     <xsl:with-param name="titleName" select="'Pohledávky'" />
                  </xsl:call-template>
               </p>

               <p>
                  <xsl:call-template name="Receivables">
                     <xsl:with-param name="node" select="./stw:PhFinalAccLogPayables" />
                     <xsl:with-param name="nodeRecord" select="./stw:PhFinalAccLogPayables/stw:PhFinalAccLogPayable" />                     
                     <xsl:with-param name="titleName" select="'Závazky'" />                     
                  </xsl:call-template>
               </p>
            </xsl:for-each>
            
			<xsl:call-template name="Explanation">
            </xsl:call-template>            
         </BODY>
      </html>
   </xsl:template>


  <!-- hlavička tabulky pro pohledávky a závazky -->
   <xsl:template name="HeadTableRecPay">
      <tr>
               <td class="headNumber" rowspan="2">Číslo interního dokladu</td>
               
               <td class="headCurrType" rowspan="2">Měna</td>                              

               <td class="headExchange" rowspan="2">Kurs ČNB k <xsl:value-of select="$DateFinalAcc" /> </td>

               <td class="headDiff" rowspan="2">Hodnota kursového rozdílu (v Kč)</td>

               <td class="headDeb" colspan="2">Zaúčtování</td>

               <td class="headNumber" rowspan="2">Číslo zdrojového dokladu</td>

               <td class="headSourceType" rowspan="2">Zdroj</td>
      </tr>
      <tr>
         <td class="head_MD_D">MD</td>

         <td class="head_MD_D">D</td>
      </tr>
      
   </xsl:template>
   
   

   <xsl:template name="Explanation">
	<p class="expl" align="left">
	Zdroj : FP - faktura přijatá, FV - faktur vydaná, OP - ostatní pohledávka, OZ - ostatní závazek
	</p>   
   </xsl:template>


  <!-- hlavicka tabulky -->
   <xsl:template name="HeadLog">
      <xsl:param name="node" />

      <p class="titleMsg">Zaúčtované kursové rozdíly k datu 
            <xsl:value-of select="$DateFinalAcc" />
      </p>
      <table class="headTb">

         <tr>
            <td class="titleHead">
               <span title="N�zev ��etn� jednotky, kde je prov�d�na kontrola">Účetní jednotka:</span>
            </td>

            <td class="dataHead">
               <xsl:value-of select="$node/stw:CompanyName" />               
            </td>            
         </tr>
         
         <tr>
            <td class="titleHead">
            </td>

            <td class="dataHead">
               <xsl:value-of select="$node/stw:Street" />               
            </td>            
         </tr>
         
         <tr>
            <td class="titleHead">
            </td>

            <td class="dataHead">
               <xsl:value-of select="$node/stw:Town" />               
            </td>            
         </tr>
         

         <tr>
            <td class="titleHead">
               <span title="DI� kontrolovan� ��etn� jednotky">DIČ:</span>
            </td>

            <td class="dataHead">
               <xsl:value-of select="$node/stw:DIC" />
            </td>
         </tr>

         <tr>
            <td class="titleHead">
               <span title="Datum a �as spu�t�n� kontroly doklad�">Datum a čas:</span>
            </td>

            <td class="dataHead">
               <xsl:value-of select="$node/stw:Time" />
            </td>
         </tr>
      </table>

      <br />
   </xsl:template>



   <xsl:template name="Receivables">
      <xsl:param name="node" />
      <xsl:param name="nodeRecord" />
      <xsl:param name="titleName" />

	  <xsl:variable name="Cnt" select="count($nodeRecord)" />

      <xsl:if test="$Cnt &gt; 0">
         <p class="titleMsg"><xsl:value-of select="$titleName" /></p>

         <table class="result" border="1">
            <xsl:call-template name="HeadTableRecPay">
            </xsl:call-template>
            
			   <xsl:for-each select="$nodeRecord">
               <tr class="zaznam">
                  <td>
                     <xsl:value-of select="stw:DocNumber" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:ExchangeRateCode" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:ExchangeRate" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:Diff" />
                  </td>


                  <td>
                     <xsl:value-of select="stw:Debit" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:Credit" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:DocSourceNumber" />
                  </td>

                  <td>
                     <xsl:value-of select="stw:DocSource" />
                  </td>

               </tr>
            </xsl:for-each>
         </table>
      </xsl:if>
   </xsl:template>
   
</xsl:stylesheet>

